param
  (
    [string]$rtr,
    [string]$a2,
    [string]$a3,
    [string]$a4,
    [string]$a5,
    [string]$a6,
    [string]$a7,
    [string]$a8,
    [string]$a9
  )

if ($rtr -eq "")
  {
    Write-host "Routers currently running:"
    docker ps -f "label=bgpminilab" --format "table {{.Names}}\t{{.RunningFor}}"
    Write-host
    $rtr = Read-Host "Connect to"
  }

if ($rtr.length -lt 6)
  {
    $rtr = "Router${rtr}"
  }

if ($a2 -eq "")
  {
    Write-host "connecting to ${rtr}:"
    docker exec -it ${rtr} vtysh
  }
else
  {
    if ($a3 -eq "")
      {
         docker exec -it ${rtr} $a2
      }
    else
      {
        Write-host "${rtr}# $a2 $a3 $a4 $a5 $a6 $a7 $a8 $a9"
        docker exec -it ${rtr} vtysh -e "$a2 $a3 $a4 $a5 $a6 $a7 $a8 $a9"
      }
  }